# Genuitec

https://www.genuitec.com The Cloud Control Company Wed, 13 Dec 2017 07:50:01 +0000 en-US hourly 1 https://wordpress.org/?v=4.6.1

# Create a Note Taking App Using Angular

https://www.genuitec.com/create-note-taking-app-using-angular/ Mon, 11 Dec 2017 12:51:59 +0000 Bob at Genuitec Eclipse Genuitec MyEclipse Programming Tips Webclipse create a note taking app note taking app note taking app with Angular write a note taking app https://www.genuitec.com/?p=542885 <p>In this Angular tutorial, we are going to create a Note Taking App using Angular IDE.Create New Angular ProjectWe’re going to be using Angular IDE in this tutorial, though you can use Webclipse or MyEclipse, following exactly the same steps. Before beginning, do ensure you are in the Angular Perspective (Window &#62; Perspective &#62; Open Perspective [&#8230;]</p> <p>The post <a rel="nofollow" href="https://www.genuitec.com/create-note-taking-app-using-angular/">Create a Note Taking App Using Angular</a> appeared first on <a rel="nofollow" href="https://www.genuitec.com">Genuitec</a>.</p>

# In CI 9, DevStyle Ships with Webclipse and Angular IDE – Here’s Why

https://www.genuitec.com/ci-9-devstyle-ships-webclipse-angular-ide-heres/ Fri, 01 Dec 2017 20:43:25 +0000 timwebb Eclipse Genuitec MyEclipse Programming Tips Webclipse color theming devstyle in angular devstyle in webclipse devstyle integration enhanced startup navigation https://www.genuitec.com/?p=544322 <p>Webclipse and Angular IDE are key products for Genuitec and one main area we are trying to fix is not only support for coding in JavaScript, TypeScript, Angular and more inside Eclipse, but also make Eclipse a joy to work with. Part of that was available for some time in Webclipse with things like the [&#8230;]</p> <p>The post <a rel="nofollow" href="https://www.genuitec.com/ci-9-devstyle-ships-webclipse-angular-ide-heres/">In CI 9, DevStyle Ships with Webclipse and Angular IDE &#8211; Here’s Why</a> appeared first on <a rel="nofollow" href="https://www.genuitec.com">Genuitec</a>.</p>

# Introducing DevStyle – Rebooting Eclipse’s UX

https://www.genuitec.com/devstyle-rebooting-eclipses-ux/ Fri, 01 Dec 2017 18:29:56 +0000 wayne Bright Ideas Eclipse Genuitec color themes color theming enhanced startup improved navigation https://www.genuitec.com/?p=539201 <p>Yesterday we released the first production version of DevStyle, a free add-on for Eclipse. DevStyle seeks to dramatically improve the Eclipse user experience for millions of developers with the introduction of modern developer ergonomics and the beautiful styling you’ve come to expect from products in 2017.Over the years, the Eclipse evolution has been towards development [&#8230;]</p> <p>The post <a rel="nofollow" href="https://www.genuitec.com/devstyle-rebooting-eclipses-ux/">Introducing DevStyle &#8211; Rebooting Eclipse&#8217;s UX</a> appeared first on <a rel="nofollow" href="https://www.genuitec.com">Genuitec</a>.</p>

# 2017 CI 9 – Decking up for the Holidays with DevStyle and More!

https://www.genuitec.com/2017-ci-9-decking-holidays-devstyle/ Thu, 30 Nov 2017 16:06:55 +0000 Wanda Muriy Eclipse Genuitec MyEclipse Programming Tips Webclipse 2017 CI 9 release software updates https://www.genuitec.com/?p=541401 <p>Malls across many countries are not the only places getting decked up for the holidays &#8211; we are getting into a pre-holiday mood ourselves with our latest release. Many improvements are included in our 2017 CI 9 release, both for our MyEclipse users, and for those who prefer Webclipse or Angular IDE. We are happy [&#8230;]</p> <p>The post <a rel="nofollow" href="https://www.genuitec.com/2017-ci-9-decking-holidays-devstyle/">2017 CI 9 &#8211; Decking up for the Holidays with DevStyle and More!</a> appeared first on <a rel="nofollow" href="https://www.genuitec.com">Genuitec</a>.</p>

# Gradle vs Maven – in Search for the Perfect Build Automation Tool

https://www.genuitec.com/gradle-vs-maven-search-perfect-build-automation-tool/ Fri, 24 Nov 2017 17:54:35 +0000 Wanda Muriy Eclipse Genuitec MyEclipse gradle gradle features gradle vs maven maven maven features maven vs gradle https://www.genuitec.com/?p=543361 <p>In your quest for the perfect build automation tool, you have probably come across Maven and Gradle &#8211; the two big players in the field. The decision here is no less tricky than picking just the right ingredients for that awesome holiday dish you might be thinking about preparing. Of course, each tool has its [&#8230;]</p> <p>The post <a rel="nofollow" href="https://www.genuitec.com/gradle-vs-maven-search-perfect-build-automation-tool/">Gradle vs Maven &#8211; in Search for the Perfect Build Automation Tool</a> appeared first on <a rel="nofollow" href="https://www.genuitec.com">Genuitec</a>.</p>

# 30% off sale, including Angular IDE and more!

https://www.genuitec.com/30-off-sale-including-angular-ide/ Wed, 22 Nov 2017 19:33:38 +0000 Rocio Trujillo General Genuitec Promotions coupon promo https://www.genuitec.com/?p=543636 <p>Step away from the leftovers and come take advantage of our Cyber Monday sale for Angular IDE, Webclipse, MyEclipse and more! Thanksgiving is a great time for getting together with family, but perhaps more importantly, it’s about the SALES! Whether it’s Buen Fin or Cyber Monday, we all love a bargain. Now is the time [&#8230;]</p> <p>The post <a rel="nofollow" href="https://www.genuitec.com/30-off-sale-including-angular-ide/">30% off sale, including Angular IDE and more!</a> appeared first on <a rel="nofollow" href="https://www.genuitec.com">Genuitec</a>.</p>

# Improving Java Performance

https://www.genuitec.com/improving-java-performance/ Fri, 10 Nov 2017 20:28:13 +0000 Wanda Muriy Eclipse Genuitec Java MyEclipse Programming Tips Webclipse improve Java performance improving Java performance Java performance Java performance issues Java performance problems https://www.genuitec.com/?p=542225 <p>Java is a fun language to develop in but at scale it can give you headaches. One can run into a number of problems that can affect the way a Java app runs. In this article we&#8217;ll touch on some common areas for performance issues and share some good resources to guide in your Java performance [&#8230;]</p> <p>The post <a rel="nofollow" href="https://www.genuitec.com/improving-java-performance/">Improving Java Performance</a> appeared first on <a rel="nofollow" href="https://www.genuitec.com">Genuitec</a>.</p>

# Create a Cryptocurrency Dashboard with Angular

https://www.genuitec.com/create-cryptocurrency-dashboard-angular/ Tue, 07 Nov 2017 20:25:08 +0000 Bob at Genuitec Eclipse Genuitec MyEclipse Programming Tips Webclipse create cryptocurrency dashboard cryptocurrency dashboard https://www.genuitec.com/?p=541645 <p>With Bitcoin’s record-breaking surge past the $7000 mark, we thought this would the perfect time to build a cryptocurrency dashboard with Angular. Cryptocurrency is a digital asset designed to work as a medium of exchange, using cryptography to secure the transactions and to control the creation of additional units of the currency. While Bitcoin is [&#8230;]</p> <p>The post <a rel="nofollow" href="https://www.genuitec.com/create-cryptocurrency-dashboard-angular/">Create a Cryptocurrency Dashboard with Angular</a> appeared first on <a rel="nofollow" href="https://www.genuitec.com">Genuitec</a>.</p>

# TypeScript 2.5 Features

https://www.genuitec.com/typescript-2-5-features/ Mon, 30 Oct 2017 14:05:45 +0000 Wanda Muriy Eclipse Genuitec MyEclipse Programming Tips Webclipse typescript typescript 2.5 typescript 2.6 https://www.genuitec.com/?p=540980 <p>If you have kept true to JavaScript (JS), using TypeScript (TS) doesn’t represent abandoning a good old friend. It’s simply moving on to its typed superset &#8211; basically, getting JS with optional static types, which gets you the best of both worlds (the JS flexibility and strengthened TS security). If you have already enjoyed TypeScript’s [&#8230;]</p> <p>The post <a rel="nofollow" href="https://www.genuitec.com/typescript-2-5-features/">TypeScript 2.5 Features</a> appeared first on <a rel="nofollow" href="https://www.genuitec.com">Genuitec</a>.</p>

# Testing Angular Apps with Jasmine and Karma

https://www.genuitec.com/testing-angular-apps-jasmine-karma/ Wed, 25 Oct 2017 21:19:01 +0000 Bob at Genuitec Eclipse Genuitec How-to's MyEclipse Programming Tips Webclipse test angular 4 apps testing angular 4 apps https://www.genuitec.com/?p=538042 <p>Testing is one of the most important aspects of the modern application development process. Today, high quality, robust applications are the norm; nobody appreciates a buggy application. This article will walk you through testing your Angular application using capabilities that are already part of your Angular project.Creating a New Angular ProjectWe’re going to be using [&#8230;]</p> <p>The post <a rel="nofollow" href="https://www.genuitec.com/testing-angular-apps-jasmine-karma/">Testing Angular Apps with Jasmine and Karma</a> appeared first on <a rel="nofollow" href="https://www.genuitec.com">Genuitec</a>.</p>

# Set Up and Use a Fake REST API with Angular

https://www.genuitec.com/set-use-fake-rest-api-angular/ Fri, 20 Oct 2017 20:22:33 +0000 Bob at Genuitec Genuitec How-to's MyEclipse Programming Tips Webclipse fake REST API fake rest APIs fake rest APIs with Angular 4 https://www.genuitec.com/?p=540214 <p>Often, when developing Angular applications, you do not have the backing REST APIs ready for testing. To avoid having to digress into developing web services, or being blocked, waiting for your back end team to provide them, you can use JSON server to provide a &#8220;fake&#8221; API. This article will show you how to use [&#8230;]</p> <p>The post <a rel="nofollow" href="https://www.genuitec.com/set-use-fake-rest-api-angular/">Set Up and Use a Fake REST API with Angular</a> appeared first on <a rel="nofollow" href="https://www.genuitec.com">Genuitec</a>.</p>

# Angular 5 Features

https://www.genuitec.com/angular-5-release-imminent/ Tue, 17 Oct 2017 23:54:26 +0000 Brian Fernandes Genuitec MyEclipse MyEclipse Top News Programming Tips Webclipse angular 5 angular 5 breaking changes angular 5 features https://www.genuitec.com/?p=540073 <p>Front-end developers, rejoice &#8211; after a short delay, the Angular 5 release is scheduled for October 23rd!Update (November 1st): It&#8217;s finally here! After ten release candidates, Angular version 5.0.0, &#8220;pentagonal-donut&#8221;, has been released.Update (October 31st): Well, we&#8217;re still waiting for Angular version 5, and we&#8217;re now at 5.0.0 RC 9 &#8211; but, I&#8217;m sure you&#8217;d [&#8230;]</p> <p>The post <a rel="nofollow" href="https://www.genuitec.com/angular-5-release-imminent/">Angular 5 Features</a> appeared first on <a rel="nofollow" href="https://www.genuitec.com">Genuitec</a>.</p>

# Using Swagger to Connect a Backend to an Angular Frontend

https://www.genuitec.com/using-swagger-connect-backend-angular-frontend/ Fri, 13 Oct 2017 14:59:39 +0000 Brian Fernandes Bright Ideas Eclipse Genuitec How-to's MyEclipse Programming Tips Webclipse connect front end to back end connecting front end to back end swagger https://www.genuitec.com/?p=539466 <p>IntroductionLet’s say you have an advanced backend system, for which you wish to develop a modern Angular frontend, or, perhaps it’s not your backend, but something public like Facebook, and you want to develop a site using some of its exposed APIs. Of course, you want to do this with minimal effort &#8230; how do [&#8230;]</p> <p>The post <a rel="nofollow" href="https://www.genuitec.com/using-swagger-connect-backend-angular-frontend/">Using Swagger to Connect a Backend to an Angular Frontend</a> appeared first on <a rel="nofollow" href="https://www.genuitec.com">Genuitec</a>.</p>

# Working with Java 9 in Eclipse

https://www.genuitec.com/working-java-9-eclipse/ Wed, 11 Oct 2017 20:00:50 +0000 Brian Fernandes Eclipse Java Planet Eclipse Programming Tips Webclipse Java EE webclipse https://www.genuitec.com/?p=534701 <p>Note: This blog was updated on October 11th, 2017 to reflect the release of Oxygen 1a which includes Java 9 support.The Java 9 GA release is just a few weeks old, and you can start developing with Java 9 in Eclipse, right now! All you need to do is download a suitable Oxygen 1a (4.7.1a) [&#8230;]</p> <p>The post <a rel="nofollow" href="https://www.genuitec.com/working-java-9-eclipse/">Working with Java 9 in Eclipse</a> appeared first on <a rel="nofollow" href="https://www.genuitec.com">Genuitec</a>.</p>

# JavaOne 2017: Highlights

https://www.genuitec.com/javaone-2017-highlights/ Mon, 09 Oct 2017 20:50:11 +0000 Brian Fernandes Bright Ideas Eclipse General Genuitec MyEclipse Programming Tips Webclipse javaone javaone announcements javaone news https://www.genuitec.com/?p=538849 <p>In his keynote at the JavaOne Conference, James Governor said, “Things have changed in the Java ecosystem, probably more in the past three weeks, than they have in the previous thirteen years.” Now JavaOne has only just ended, and we’re still trying to sift through the vast volumes of information pouring out from this conference, [&#8230;]</p> <p>The post <a rel="nofollow" href="https://www.genuitec.com/javaone-2017-highlights/">JavaOne 2017: Highlights</a> appeared first on <a rel="nofollow" href="https://www.genuitec.com">Genuitec</a>.</p>